[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Message-Id: <1384562141-32446-10-git-send-email-paulmck@linux.vnet.ibm.com>
Date: Fri, 15 Nov 2013 16:35:23 -0800
From: "Paul E. McKenney" <paulmck@...ux.vnet.ibm.com>
To: linux-kernel@...r.kernel.org
Cc: mingo@...nel.org, laijs@...fujitsu.com, dipankar@...ibm.com,
akpm@...ux-foundation.org, mathieu.desnoyers@...icios.com,
josh@...htriplett.org, niv@...ibm.com, tglx@...utronix.de,
peterz@...radead.org, rostedt@...dmis.org, dhowells@...hat.com,
edumazet@...gle.com, darren@...art.com, fweisbec@...il.com,
sbw@....edu, "Paul E. McKenney" <paulmck@...ux.vnet.ibm.com>,
Greg KH <gregkh@...uxfoundation.org>
Subject: [PATCH tip/core/rcu 10/28] rcutorture: Make test output less chatty
From: "Paul E. McKenney" <paulmck@...ux.vnet.ibm.com>
This commit drops no-longer-needed diagnostics from the output. Some of
them are retained in logfiles, in case they are ever needed.
Signed-off-by: Paul E. McKenney <paulmck@...ux.vnet.ibm.com>
Cc: Greg KH <gregkh@...uxfoundation.org>
---
.../testing/selftests/rcutorture/bin/configinit.sh | 2 --
.../selftests/rcutorture/bin/kvm-test-1-rcu.sh | 2 +-
tools/testing/selftests/rcutorture/bin/kvm.sh | 25 +++++++++++++---------
3 files changed, 16 insertions(+), 13 deletions(-)
diff --git a/tools/testing/selftests/rcutorture/bin/configinit.sh b/tools/testing/selftests/rcutorture/bin/configinit.sh
index 1f09d599e9d9..926fbd30bcbd 100755
--- a/tools/testing/selftests/rcutorture/bin/configinit.sh
+++ b/tools/testing/selftests/rcutorture/bin/configinit.sh
@@ -14,8 +14,6 @@
# for example, "O=/tmp/foo". If this argument is omitted, the .config
# file will be generated directly in the current directory.
-echo configinit.sh $*
-
T=/tmp/configinit.sh.$$
trap 'rm -rf $T' 0
mkdir $T
diff --git a/tools/testing/selftests/rcutorture/bin/kvm-test-1-rcu.sh b/tools/testing/selftests/rcutorture/bin/kvm-test-1-rcu.sh
index 618aa4d766d3..5526550a5d56 100755
--- a/tools/testing/selftests/rcutorture/bin/kvm-test-1-rcu.sh
+++ b/tools/testing/selftests/rcutorture/bin/kvm-test-1-rcu.sh
@@ -62,7 +62,7 @@ then
fi
cp $config_template $resdir/ConfigFragment
echo ' ---' `date`: Starting build
-echo ' ---' Kconfig fragment at: $config_template
+echo ' ---' Kconfig fragment at: $config_template >> $resdir/log
cat << '___EOF___' >> $T
CONFIG_RCU_TORTURE_TEST=y
___EOF___
diff --git a/tools/testing/selftests/rcutorture/bin/kvm.sh b/tools/testing/selftests/rcutorture/bin/kvm.sh
index 92f726b01044..bf6d68e96e94 100644
--- a/tools/testing/selftests/rcutorture/bin/kvm.sh
+++ b/tools/testing/selftests/rcutorture/bin/kvm.sh
@@ -28,6 +28,7 @@
# Authors: Paul E. McKenney <paulmck@...ux.vnet.ibm.com>
scriptname=$0
+args="$*"
dur=30
KVM=`pwd`/tools/testing/selftests/rcutorture; export KVM
@@ -73,7 +74,6 @@ checkarg () {
while test $# -gt 0
do
- echo ":$1:"
case "$1" in
--builddir)
checkarg --builddir "(absolute pathname)" "$#" "$2" '^/' error
@@ -133,11 +133,6 @@ do
shift
done
-echo "builddir=$builddir"
-echo "dur=$dur"
-echo "KVM=$KVM"
-echo "resdir=$resdir"
-
PATH=${KVM}/bin:$PATH; export PATH
CONFIGFRAG=${KVM}/configs; export CONFIGFRAG
KVPATH=${CONFIGFRAG}/$kversion; export KVPATH
@@ -150,12 +145,19 @@ fi
if test -z "$resdir"
then
resdir=$KVM/res
- mkdir $resdir || :
+ if ! test -e $resdir
+ then
+ mkdir $resdir || :
+ fi
else
- mkdir -p "$resdir" || :
+ if ! test -e $resdir
+ then
+ mkdir -p "$resdir" || :
+ fi
fi
mkdir $resdir/$ds
-echo Datestamp: $ds
+touch $resdir/$ds/log
+echo $scriptname $args >> $resdir/$ds/log
pwd > $resdir/$ds/testid.txt
if test -d .git
@@ -164,7 +166,10 @@ then
git rev-parse HEAD >> $resdir/$ds/testid.txt
fi
builddir=$KVM/b1
-mkdir $builddir || :
+if ! test -e $builddir
+then
+ mkdir $builddir || :
+fi
for CF in $configs
do
--
1.8.1.5
--
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@...r.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/
Powered by blists - more mailing lists